1. MiniPOS Invoice API
UCS MiniPOS API - PUBLIC
  • MIDserver
    • MiniPOS Invoice API
      • ValidateInvoice
        POST
      • New Sales Invoice - Basic
        POST
      • New Refund Invoice - Basic
        POST
      • New Sales Invoice - Advanced
        POST
      • New Sales Invoice + Slip after payment
        POST
      • New Non fiscal slip
        POST
      • Get Invoice List
        GET
      • Get Invoice by ID
        GET
  • CRMserver
    • MiniPOS Products API
      • GET Products List
      • GET Product by ID
      • DELETE Product by ID
      • Change Product by ID
      • Create new Product Basic
      • Create new Product Advanced
    • MiniPOS Categories API
      • Create new Category
    • MiniPOS Shift Data API
      • GET shifts
      • GET receipts
  1. MiniPOS Invoice API

Get Invoice List

GET
/api/invoices

Request

None

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/api/invoices'
Response Response Example
[
    {
        "id": 1,
        "mode": 1,
        "station": null,
        "invoice_no": "SALES_INVOICE_1",
        "discount": 0,
        "discount_type": null,
        "created_at": "2026-02-17T16:50:13.428620",
        "updated_at": "2026-02-17T16:50:36.611959",
        "printed_at": "2026-02-17T16:50:36.283855",
        "print_station": 1,
        "print_pos_id": "01",
        "print_chassis_id": "0",
        "check_num": "673",
        "total_sum": 34.59,
        "changed_sum": 0,
        "status": 30,
        "comment": null,
        "keep_drawer_closed": false,
        "print_paper_receipt": null,
        "is_auto_open": false,
        "report": null,
        "common_id": null,
        "synchronized_at": null,
        "info": {},
        "status_name": "Done"
    },
    {
        "id": 2,
        "mode": 1,
        "station": null,
        "invoice_no": "SALES_INVOICE_22",
        "discount": 0,
        "discount_type": null,
        "created_at": "2026-02-17T16:50:22.440332",
        "updated_at": "2026-02-17T16:50:22.440332",
        "printed_at": null,
        "print_station": null,
        "print_pos_id": null,
        "print_chassis_id": null,
        "check_num": null,
        "total_sum": 0,
        "changed_sum": 0,
        "status": 10,
        "comment": null,
        "keep_drawer_closed": false,
        "print_paper_receipt": null,
        "is_auto_open": false,
        "report": null,
        "common_id": null,
        "synchronized_at": null,
        "info": {},
        "status_name": "New"
    }
]
Modified at 2026-04-15 12:52:15
Previous
New Non fiscal slip
Next
Get Invoice by ID
Built with